FT2SSWF(1)

NAME
ft2sswf - Font convertor for the SSWF compiler

SYNOPSIS
ft2sswf [options] file ...

DESCRIPTION
ft2sswf can be used to generate script files later compiled by sswf to use fonts in your Flash movies.

All the fonts supported by the freetype v2.1.x library are supported by the ft2sswf tool. Note that the resulting glyphs are likely to be approximations of the source font images. Most TrueType fonts will use Bezier curves with two or more control points whereas the SSWF format only supports one.

OPTIONS
The following options are understood by ft2sswf. The short options are likely to change in the future.

--advance[ |=]value
    Define the default advance. All the characters using this value will not have an advance number specified. At this time the default advance is taken as the width of the space character. This will later change to the most used advance parameter among all the glyphs included in the script.

-c[0|1]
    Print comments in the output file (1 - default) or not (0).

--control
    By default, no control character is printed in the output because the Flash plugins don't really use them. Use this option to get the glyphs corresponding to all the characters including the controls. Note that the NUL character can never be printed out (it is always skipped since it can't be used in a Flash movie).

-e[0|1|2]
    Print out a list of the supported encodings within the specified font(s). Selecting one of these encodings with --map can be useful to ensure you get all of the characters you want in the output script. Use -e0 or -e to turn off this option, -e1 to see the list of encodings available in a font and -e2 to see a complete list of encodings supported by the freefont library and understood by ft2sswf.

-f[ ]<value>
    The fonts are usually written so they appear in the 1024x1024 EM square as defined by Macromedia (at least in their documentation since it seems this generates fonts 20 times too large... could it be that the EM square was given in TWIPs?). This usually creates a really large but high precision set of glyphs. If you only need much smaller glyphs, you can use this option to define a divisor factor. It will be applied to all the values as required.

-g[ ]glyphs or --glyph[ |=]glyphs
    When you use this option, only the glyphs specified in glyphs will be printed in the output script. Thus, if you need to print out a few stings like "This is a test" and "Hello World!" you will only get the characters necessary to write these two sentences. Only the last such option is taken in account so you need to merge the strings ("This is a testHello World!" will work in this case.)

-h or --help
    Prints out a quick help screen about all the options supported by ft2sswf.

-m[ ]name or --map( |=)[name]
    Gives the name of the encoding of the font to be used. At this time it is also used as the output encoding. This will change in the future (you will be able to define a specific output format). In order to see the list of available encodings in a font, use -e1 on the command line.

-n[0|1] or --include-null or --no-null
    By default, ft2sswf doesn't include empty characters - these characters which have no outline at all - except the space character. If you wish to have all of the glyphs listed, including the empty ones, use -n0 or --include-null. Use -n1 or --no-null to revert back to normal.

-o filename or --output=filename
    Defines the name of the output file. When no name is specified, ft2sswf sends the output in stdout.

-q  Makes ft2sswf as quiet as possible. Only warnings and errors are printed out (beside the resulting script).

-v  Increase the verbosity by one. Different information may be printed when the verbosity is higher.

--version
    Prints out the ft2sswf version and exit with an error.

ARGUMENTS
All the other arguments are taken as font file names. Note that options can appear in between each file name. Thus, if you want to transform two fonts in one go, you can write the following:

    ft2sswf -o font1.sswf font1.ttf -o font2.sswf font2.ttf

As many options as you need can be specified between file names in this way. This is why most of the options have an opposite to cancel its effect.

The special option -- can be used after all the options to specify that any of the following arguments are font filenames.

SEE ALSO
Alexis' SWF Reference, Alexis Wilke (http://sswf.sourceforge.net/SWFalexref.html)

SSWF Reference Manual, Alexis Wilke (http://sswf.sourceforge.net/ScriptSWF.html)

swf_dump(1), sswf(1), jpg2swf(1)

BUGS

You are welcome to report bugs to me at: alexis_wilke@users.sourceforge.net
    Thank you in advance for the info!

The output map can't actually be specified.

The font information (comments, copyrights, etc.) should be printed automatically in the output file.

The code used to reduce Bezier curves should be enhanced to make sure it doesn't make too bad an approximation. This should certainly be part of the sswf tool also.

VERSION

This manual page is part of version <VERSION> of SSWF.

This file was last updated on <DATE>.

COPYRIGHT
ft2sswf is Copyright (c) 2002-2007 by Made to Order Software Corp.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.